<?php

/*
 * PAYPAL SUBSCRIPTION MANAGER
 *
 * @package PaypalSubscriptionManager
 * @author  Michael J. Pawlowsky <mikep@mi-software.com>
 * @copyright Copyright &copy; 2005, Ultimate Internet Marketing
 * @version $Id$;
 *
 * Created: Wed Sep 07 07:02:00 EDT 2005 07:02:00
 * Last Modified: $Date:$
 * Revision: $Rev:$
 *
 */

	require_once('../lib/Smarty.class.php');
	require_once('../lib/Install.class.php');
	require_once('../lib/Config.class.php');
	require_once('../lib/Db.class.php');
	require_once('../lib/Error.class.php');


	if(!isset($_REQUEST['a']))$_REQUEST['a']="verify";


	switch($_REQUEST['a']){

		case 'showconf':
			$config = new Config(true);
			$config->readConfig();
			if($config->err_no != 0){
				Error::errorMsg($config->err_msg);
			}
			$smarty = new Smarty();
			$smarty->assign('config', $config);
			$smarty->assign('msg', "");
			$smarty->display('config.tpl');
		break;


		case 'writeconf':
		$err = 0;
		$msg = '';

		//Set defaults for checkboxes
		if(!isset($_POST['period1_active']))$_POST['period1_active']=0;
		if(!isset($_POST['period2_active']))$_POST['period2_active']=0;
		if(!isset($_POST['autorespond_active']))$_POST['autorespond_active']=0;

		$config = new Config();
		$config->site_name         = trim($_POST['site_name']);
		$config->site_url          = trim($_POST['site_url']);
		$config->site_domain       = trim($_POST['site_domain']);
		$config->site_email        = trim($_POST['site_email']);
		$config->site_doc_root     = trim($_POST['site_doc_root']);
		$config->site_url_root     = trim($_POST['site_url_root']);
		$config->db_host           = trim($_POST['db_host']);
		$config->db_user           = trim($_POST['db_user']);
		$config->db_pw             = trim($_POST['db_pw']);
		$config->db_name           = trim($_POST['db_name']);
		$config->paypal_account    = trim($_POST['paypal_account']);
		$config->paypal_url        = trim($_POST['paypal_url']);
		$config->paypal_return_url = trim($_POST['paypal_return_url']);
		$config->paypal_cancel_url = trim($_POST['paypal_cancel_url']);

		$config->period1_active    = $_POST['period1_active'];
		$config->period1_value     = $_POST['period1_value'];
		$config->period1_interval  = $_POST['period1_interval'];
		$config->amount1           = trim($_POST['amount1']);

		$config->period2_active    = $_POST['period2_active'];
		$config->period2_value     = $_POST['period2_value'];
		$config->period2_interval  = $_POST['period2_interval'];
		$config->amount2           = trim($_POST['amount2']);

		$config->period3_value     = $_POST['period3_value'];
		$config->period3_interval  = $_POST['period3_interval'];
		$config->amount3           = trim($_POST['amount3']);

		$config->paypal_icon       = trim($_POST['paypal_icon']);

		$config->autorespond_active  = $_POST['autorespond_active'];
		$config->autorespond_to      = trim($_POST['autorespond_to']);
		$config->autorespond_subject = trim($_POST['autorespond_subject']);
		$config->autorespond_body    = trim($_POST['autorespond_body']);
		
		// Lets make sure we can connect to the DB.
		$sql = new MySQL_class();
		$sql->Setup($config->db_user, $config->db_pw , $config->db_host);
		$sql->Create($config->db_name);
		if($sql->err_no != 0){
			$err++;
			$msg .= '<p>' . $sql->err_msg . '<br>' . 'Please verify your database setup</p>';
		}

		if($config->period1_active){
			if(!is_numeric($config->amount1)){
				$err++;
				$msg .= '<p>The amount for trial period 1 is invalid.</p>';
			}
		}

		if($config->period2_active){
			if(!is_numeric($config->amount2)){
				$err++;
				$msg .= '<p>The amount for trial period 2 is invalid.</p>';
			}
		}

		if(!is_numeric($config->amount3)){
			$err++;
			$msg .= '<p>The amount for the recurring billing is invalid.</p>';
		}

		$smarty = new Smarty();
		$smarty->compile_dir = '../templates_c';
		$smarty->assign('config', $config);
		if($err != 0){
			$smarty->assign('msg', $msg);
			$smarty->display('config.tpl');
		} else {
			$template = $smarty->fetch('config_php.tpl');
			$config->writeConfig($template);
			if($config->err_no != 0){
				Error::errorMsg($config->err_msg);
			}
			$config->writeHtaccess();
			if($config->err_no != 0){
				Error::errorMsg($config->err_msg);
			}

			$config->writeManagerHtaccess();
			if($config->err_no != 0){
				Error::errorMsg($config->err_msg);
			}

			if(isset($_POST['create_tables']) && $_POST['create_tables']==1){
				$inst = new Install();
				$inst->createTables($_POST['db_host'], $_POST['db_name'], $_POST['db_user'], $_POST['db_pw']);
				if($inst->err_no != 0){
					Error::errorMsg($inst->err_msg);
				}
			}
			$smarty->display('../templates/config_done.tpl');
		}
		break;


		case 'verify':
		default;
			$inst = new Install();
			$inst->checkPerms();

			if($inst->err_no != 0){
				include('templates/install_error.inc');
			} else {
				header('Location: index.php?a=showconf');
			}
		break;

	}

?>