<?php

/*
 * PAYPAL SUBSCRIPTION MANAGER
 *
 * @package PaypalSubscriptionManager
 * @author  Michael J. Pawlowsky <mikep@mi-software.com>
 * @copyright Copyright &copy; 2005, Ultimate Internet Marketing
 * @version $Id: Config.class.php,v 1.2 2005/09/07 21:14:13 mikep Exp $;
 *
 * Created: Wed Sep 07 07:02:00 EDT 2005 07:02:00
 * Last Modified: $Date: 2005/09/07 21:14:13 $
 * Revision: $Rev:$
 *
 */

class Utils{


    function makeRandomPassword() {
  		$salt = "ABCDEFGHIJKLMNOPQRSTUVWXYZabchefghjkmnpqrstuvwxyz0123456789";
  		srand((double)microtime()*1000000);
  		$i = 0;
  		$pass = '';
  		while ($i < 6) {
    		$num = rand() % 33;
    		$tmp = substr($salt, $num, 1);
    		$pass = $pass . $tmp;
    		$i++;
  		}
  		return $pass;
	}


	/* Break up a phone number using RegEx into Area Code, Prefix, Suffix
	 *
	 * @access public
	 * @param $string $phonenumber The phone number to parse
	 * @retun Array ['area'], ['prefix'], ['suffix']
	 *
	 */
	function parsePhone($phonenumber){

		$num = Array();
		$tel = Array();

		if(strlen($phonenumber)>6){
			ereg("\(?([0-9]{3})?\)?[-. ]?([0-9]{3})[-. ]?([0-9]{4})", $phonenumber, $num);

			$tel['area']=$num[1];
			$tel['prefix']=$num[2];
			$tel['suffix']=$num[3];
		} else {
			$tel['area']='';
			$tel['prefix']='';
			$tel['suffix']='';
		}

		return($tel);
	}




	function ext2mime($ext){

		$ext = strtolower($ext);

		switch ($ext){

			case 'txt':
				return('text/plain');
			break;

			case 'html':
			case 'htm':
			case 'php':
				return('text/html');
			break;


			case 'gif':
				return('image/gif');
			break;

			case 'ief':
				return('image/ief');
			break;

			case 'jpeg':
			case 'jpg':
			case 'jpe':
				return('image/jpeg');
			break;

			case 'png':
				return('image/png');
			break;

			case 'tif':
			case 'tiff':
				return('image/tiff');
			break;

			case 'mp3':
			case 'mp2':
			case 'mpga':
				return('audio/mpeg');
			break;

			case 'qt':
			case 'mov':
				return('video/quicktime');
			break;

			case 'swf':
				return ('application/x-shockwave-flash');
			break;

			default:
				return('text/plain');
			break;
		}


	}

}

?>